1. #1
    Lieutenant
    Dabei seit
    Jan 2008
    Beiträge
    553

    Ubuntu 12.04 LTS - Fehler beim Update

    Hallo zusammen,

    ich bekomme, wenn ich meinen Server aktualisieren möchte immer eine Fehlermeldung:

    Code:
    E: Sperrdatei /var/lib/dpkg/lock konnte nicht geöffnet werden - open (13: Keine Berechtigung)
    E: Sperren des Administrationsverzeichnisses (/var/lib/dpkg/) nicht möglich, sind Sie root?
    Ich führe hierbei folgenden Befehl aus:

    sudo apt-get update && apt-get dist-upgrade && apt-get autoclean

    Wenn ich die Befehle jedoch einzeln ausführe, dann ist alles soweit erfolgreich.
    - Pakeinformationen holen
    - Paketliste lesen
    - ggf. download
    - ggf. aufräumen

    Was kann hier schieflaufen? Jemand eine Idee?

  2. Anzeige
    Logge dich ein, um diese Anzeige nicht zu sehen.
  3. #2
    Lieutenant
    Dabei seit
    Apr 2010
    Beiträge
    826

    AW: Ubuntu 12.04 LTS - Fehler beim Update

    Hi,

    du musst auch vor dem 2. und 3. apt-get nach dem && jeweils ein sudo schreiben :=)

    && ermöglicht doch nur 3 Zeilen in eine zu fassen ... einzeln brauchst du die sudo ja auch.

    Gruß,
    d2boxSteve
    Main System: i7-2600k@4400 auf ASrock Z68 Gen3 Ext4, 16GB, G1 Gaming GTX 980, Samsung EVO 500GB, 4 TB WD, SB X-Fi Laptop: Lenovo Thinkpad Edge E535 mit A8-4500 + 7670, 8GB, 1,5 TB Router: TP-Link 1043 @ OpenWRT hinter FB 6360 Cable

  4. #3
    Lieutenant
    Ersteller dieses Themas

    Dabei seit
    Jan 2008
    Beiträge
    553

    AW: Ubuntu 12.04 LTS - Fehler beim Update

    Ohje... wie blind bin ich eigentlich... hoffentlich hat's keiner bemerkt! ;-)

    Vielen Dank!

  5. #4
    Captain
    Dabei seit
    Sep 2006
    Ort
    Nähe Frankenthal/Ludwigshafen am Rhein
    Beiträge
    3.335

    AW: Ubuntu 12.04 LTS - Fehler beim Update

    Für sowas kannst du auch einfach in den "deaktivierten" root-benutzer wechseln.

    sudo su

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •